@import url("bootstrap-style.css");
@import url("table-style.css");
@import url("color-style.css");
@import url("font-style.css");
@import url("../spacing-style.css");

/* UI */

.ui-autocomplete {cursor: default; position: absolute;}
* html .ui-autocomplete {width: 1px;}
.ui-menu {display: block; float: left; list-style: none outside none; margin: 0;padding: 2px;}
.ui-menu .ui-menu {margin-top: -3px;}
.ui-menu .ui-menu-item {clear: left; float: left; margin: 0; padding: 0;width: 100%;}
.ui-menu .ui-menu-item a {display: block; line-height: 1.5; padding: 0.2em 0.4em; text-decoration: none;}
.ui-menu .ui-menu-item a.ui-state-hover, .ui-menu .ui-menu-item a.ui-state-active {margin: -1px;}

.ui-widget-content {border: 1px solid #dddddd; background: #eeeeee 50% top repeat-x; color: #333333;}
.ui-widget-content a {color: #333333;}

.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, 
.ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus {
	border: 1px solid #29abd6; background-color: #29abd6; font-weight: bold; color: #FFFFFF;}

.ui-corner-all, .ui-corner-top, .ui-corner-left, .ui-corner-tl {border-top-left-radius: 4px;}
.ui-corner-all, .ui-corner-top, .ui-corner-right, .ui-corner-tr {border-top-right-radius: 4px;}
.ui-corner-all, .ui-corner-bottom, .ui-corner-left, .ui-corner-bl {border-bottom-left-radius: 4px;}
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br {border-bottom-right-radius: 4px;}
.ui-widget-overlay {background-color: #000; opacity: 0.3;}
.ui-widget-shadow {background-color: #000; border-radius: 8px 8px 8px 8px;
	margin: -8px 0 0 -8px; opacity: 0.3; padding: 8px;}
	
.text-uppercase{text-transform: uppercase;}

.fundoTrPergunta {color: #FA8072;}

.break { page-break-before: always; }

/* Tooltip container */
.custom-tooltip {
  position: absolute;
  background-color: #333; /* cor de fundo */
  color: #fff;            /* cor do texto */
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 12px;
  pointer-events: none;   /* não bloqueia clique */
  opacity: 0;
  transition: opacity 0.2s;
  z-index: 9999;
  white-space: nowrap;
}

/* Aparece quando ativo */
.custom-tooltip.show {
  opacity: 1;
}

